<?php
/**
 * The core functions file for the Galaxy framework. Functions defined here are generally
 * used across the entire framework to make various tasks faster. This file should be loaded
 * prior to any other files because its functions are needed to run the framework.
 *
 * @package Galaxy
 * @subpackage Functions
 */

/** Function for setting the content width of a theme. */
function galaxy_set_content_width( $width = '' ) {
	global $content_width;
	$content_width = absint( $width );
}

/** Function for getting the theme's content width. */
function galaxy_get_content_width() {
	global $content_width;
	return $content_width;
}

/** Gets theme data */
function galaxy_get_theme_data( $path = 'template' ) {
	global $galaxy;
	
	/* If 'template' is requested, get the parent theme data. */
	if ( 'template' == $path ) {

		/* If the parent theme data isn't set, grab it with the get_theme_data() function. */
		if ( empty( $galaxy->theme_data ) ) {
			$galaxy->theme_data = get_theme_data( trailingslashit( GALAXY_DIR ) . 'style.css' );
		}

		/* Return the parent theme data. */
		return $galaxy->theme_data;
	}	

	/* Return false for everything else. */
	return false;
}
?>