<?php
/** Theme Custom Header */
galaxy_custom_header();
function galaxy_custom_header() {

	/** The default header text color */
	define( 'HEADER_TEXTCOLOR', 'ffffff' );
	/** By leaving empty, we allow for random image rotation. */
	define( 'HEADER_IMAGE', '' );
	/** The height and width of your custom header. */
	define( 'HEADER_IMAGE_WIDTH', 940 );
	define( 'HEADER_IMAGE_HEIGHT', 200 );
	/** Header Text */
	define( 'NO_HEADER_TEXT', false );
	
	/** Turn on random header image rotation by default. */
	add_theme_support( 'custom-header', array( 'random-default' => true ) );
	/** Add a way for the custom header to be styled in the admin panel that controls */
	add_custom_image_header( 'galaxy_header_style', 'galaxy_admin_header_style' );
	
	/** Default custom headers packaged with the theme. %s is a placeholder for the theme template directory URI. */
	register_default_headers( array(
		
		'galaxy' =>	array(
			'url' => '%s/images/headers/header-galaxy.png',
			'thumbnail_url' => '%s/images/headers/header-galaxy-thumb.png',
			'description' => 'Galaxy'
		),		
	
	) );

}

/** Styles the header image and text displayed on the blog */
function galaxy_header_style() {
	
	$headimg = sprintf( '#headimg { border: none; background: url(%s) no-repeat; font-family: Georgia, Times, serif; width: %spx; height: %spx; text-align: center; text-shadow: #8e8e8e 1px 1px; }', get_header_image(), HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT );
	$h1 = sprintf( '#headimg h1, #headimg h1 a { margin:0 0 15px 0; padding:65px 20px 0 20px; color: #%s; font-size: 36px; line-height: 40px; font-weight: normal; text-decoration: none; }', esc_html( get_header_textcolor() ) );
	$desc = sprintf( '#headimg #desc { margin:0px; padding:0 20px; color: #%s; font-size: 16px; line-height: 26px; font-style: italic;  }', esc_html( get_header_textcolor() ) );

	printf( '<style type="text/css">%1$s %2$s %3$s</style>', $headimg, $h1, $desc );
	
}

/** Styles the header image displayed on the Appearance > Header admin panel. */
function galaxy_admin_header_style() {

	$headimg = sprintf( '.appearance_page_custom-header #headimg { border: none; background: url(%s) no-repeat; font-family: Georgia, Times, serif; width: %spx; height: %spx; text-align: center; text-shadow: #8e8e8e 1px 1px; }', get_header_image(), HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT );
	$h1 = sprintf( '#headimg h1, #headimg h1 a { margin:0px; padding:65px 20px 0 20px; color: #%s; font-size: 36px; line-height: 40px; font-weight: normal; text-decoration: none; }', esc_html( get_header_textcolor() ) );
	$desc = sprintf( '#headimg #desc { margin:0px; padding:20px 20px; color: #%s; font-size: 16px; line-height: 26px; font-style: italic; }', esc_html( get_header_textcolor() ) );

	printf( '<style type="text/css">%1$s %2$s %3$s</style>', $headimg, $h1, $desc );

}
?>